Name:           perl-Mail-Box
Version:        2.073
Release:        1%{?dist}
Summary:        Manage a mailbox, a folder with messages
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Mail-Box/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/Mail-Box-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), perl(IO::Handle), perl(Scalar::Util)
BuildRequires:  perl(Encode), perl(Mail::Transport::Dbx)
# Can't have a BR on perl(Mail::Box::Parser::C), it requires perl-Mail-Box (whoops)
BuildRequires:  perl(Mail::SpamAssassin), perl(Mail::IMAPClient), perl(Mail::Internet)
BuildRequires:  perl(MIME::Entity), perl(HTML::TreeBuilder), perl(Time::HiRes)
BuildRequires:  perl(HTML::FormatText), perl(Date::Parse), perl(File::Spec), perl(File::Remove)
BuildRequires:  perl(Errno), perl(Object::Realize::Later), perl(Mail::Address), perl(MIME::Types)
BuildRequires:  perl(Sys::Hostname), perl(Test::More), perl(Test::Harness), perl(MIME::Base64)
BuildRequires:  perl(URI), perl(IO::Scalar), perl(Digest::HMAC_MD5), perl(User::Identity)
BuildRequires:  perl(Time::Zone), perl(Email::Abstract), perl(Email::Simple)
BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# I'm not sure why these provides aren't getting picked up automatically.
Provides: perl(Mail::Message::Body::Construct) = %{version}
Provides: perl(Mail::Message::Construct) = %{version}
Provides: perl(Mail::Message::Construct::Bounce) = %{version}
Provides: perl(Mail::Message::Construct::Build) = %{version}
Provides: perl(Mail::Message::Construct::Forward) = %{version}
Provides: perl(Mail::Message::Construct::Read) = %{version}
Provides: perl(Mail::Message::Construct::Rebuild) = %{version}
Provides: perl(Mail::Message::Construct::Reply) = %{version}
Provides: perl(Mail::Message::Construct::Text) = %{version}

%description
The Mail::Box folder is a modern mail-folder manager -- at least at
the moment of this writing ;)  It is written to replace Mail::Folder,
although its interface is different.

%prep
%setup -q -n Mail-Box-%{version}

%build
yes n |%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
# Nuke Zero length files
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/Box-Overview.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/Box-Cookbook.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Mail/Box-Index.pod
# Fix file encoding
recode()
{
        iconv -f "$2" -t utf-8 < "$1" > "${1}_"
        mv -f "${1}_" "$1"
}
recode $RPM_BUILD_ROOT%{_mandir}/man3/Mail::Message::Field.3pm iso-8859-1

%check
# We can't do this, perl(Test::Harness) is too old. :/
# make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE README.FAQ README.todo ChangeLog examples/
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3*

%changelog
* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.073-1
- 2.073
- license fix

* Wed Apr  4 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.070-2
- add examples/ to %%doc

* Mon Apr  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.070-1
- Initial package for Fedora
